
CoCoALib - Bug #1082

factor in ZZ[x] gives errors

21 Jun 2017 21:32 - John Abbott

Status: Closed Start date: 21 Jun 2017

Priority: High Due date:  

Assignee: John Abbott % Done: 100%

Category: Maths Bugs Estimated time: 0.90 hour

Target version: CoCoALib-0.99560 Spent time: 1.20 hour

Description

factorizing in ZZ[x] gives errors.

Rectify.

History

#1 - 21 Jun 2017 21:33 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 10

The problem is content handling.  See around line 282 in factor.C

#2 - 22 Jun 2017 13:13 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 10 to 90

- Estimated time set to 0.90 h

The old factorizer (in C) actually factorizes over ZZ, so the only fix needed was the handling of the content.

I improved test-factor1.C so that its tests factorization over both QQ and ZZ; also the test example now has non-trivial coeffs, and non-trivial content.

#3 - 22 Jun 2017 13:15 - John Abbott

A quick check suggests that factorization over ZZ is actually slower than factorization over QQ.  This is counter-intuitive, but probably not worth

fixing... it should be resolved if the factorizer is ever rewritten in C++.

#4 - 08 Nov 2017 14:12 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Why didn't I give at least one failing example?

Anyway, it seems OK now... so closing.
